Home

# Class goog.events.InputHandler

This event handler will dispatch events when the user types into a text input, password input or a textarea

extends goog.events.EventTarget

Instance Method Summary
| `cancelTimerIfSet_()` Cancels timer if it is set, does nothing otherwise.
| `createInputEvent_(?goog.events.BrowserEvent be) ⇒ ?goog.events.BrowserEvent` Creates an input event from the browser event.
| `dispatchAndDisposeEvent_(?goog.events.BrowserEvent event)` Dispatches and disposes an event.

`disposeInternal()`

Unattach listeners from this object. Classes that extend EventTarget may need to override this method in order to remove references to DOM Elements and additional listeners, it should be something like this:

    MyClass.prototype.disposeInternal = function() {
    MyClass.superClass_.disposeInternal.call(this);
    // Dispose logic for MyClass
    };

| `handleEvent(?goog.events.BrowserEvent e)` This handles the underlying events and dispatches a new event as needed.